DKPDoor Knock Pro Docs
Appointments

List appointments

GET
/v1/appointments

Authorization

X-Api-Key<token>

Company API key (format: dkp_...). Required on every request.

In: header

AuthorizationRequiredBearer <token>

In: header

Query Parameters

per_pageinteger
Default: 50Minimum: 1Maximum: 200
pageinteger
Default: 1Minimum: 1
lead_idinteger
assigned_tointeger
statusstring
Value in: "pending" | "confirmed" | "done" | "canceled"
fromstring
Format: "date-time"
tostring
Format: "date-time"
curl -X GET "https://app.doorknockpro.com/api/v1/appointments?per_page=50&page=1&lead_id=0&assigned_to=0&status=pending&from=2019-08-24T14%3A15%3A22Z&to=2019-08-24T14%3A15%3A22Z" \
  -H "X-Api-Key: <token>" \
  -H "Authorization: Bearer <token>"

Paginated appointments

{
  "links": {
    "first": "string",
    "last": "string",
    "prev": "string",
    "next": "string"
  },
  "meta": {
    "current_page": 0,
    "from": 0,
    "last_page": 0,
    "per_page": 0,
    "to": 0,
    "total": 0
  },
  "data": [
    {
      "id": 0,
      "lead_id": 0,
      "title": "string",
      "notes": "string",
      "status": "string",
      "duration_minutes": 0,
      "reminder_sent": true,
      "appointment_date": "2019-08-24T14:15:22Z",
      "appointment_time": "string",
      "created_by": 0,
      "assigned_to": 0,
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}